Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.media.opengl
Interface GL2ES2

All Superinterfaces:
  GL, GLBase

All Known Subinterfaces:
  GL2, GL2GL3, GL3, GLES2

All Known Implementing Classes:
  DebugGL2, DebugGL2ES2, DebugGL2GL3, DebugGL3, DebugGLES2, TraceGL2, TraceGL2ES2, TraceGL2GL3, TraceGL3, TraceGLES2

    public interface GL2ES2

extends GLBase, GL

Interface containing the common subset of GL3, GL2 and GLES2.
This interface reflects only the programmable shader functionality of desktop and embedded OpenGL

Field Summary
`static int` | `GL_ACTIVE_ATTRIBUTE_MAX_LENGTH` Part of `GL_VERSION_2_0`
`static int` | `GL_ACTIVE_ATTRIBUTES` Part of `GL_VERSION_2_0`
`static int` | `GL_ACTIVE_UNIFORM_MAX_LENGTH` Part of `GL_VERSION_2_0`
`static int` | `GL_ACTIVE_UNIFORMS` Part of `GL_VERSION_2_0`
`static int` | `GL_ATTACHED_SHADERS` Part of `GL_VERSION_2_0`
`static int` | `GL_BLEND_COLOR` Part of `GL_ARB_imaging`
`static int` | `GL_BOOL` Part of `GL_VERSION_2_0`
`static int` | `GL_BOOL_VEC2` Part of `GL_VERSION_2_0`
`static int` | `GL_BOOL_VEC3` Part of `GL_VERSION_2_0`
`static int` | `GL_BOOL_VEC4` Part of `GL_VERSION_2_0`
`static int` | `GL_COMPILE_STATUS` Part of `GL_VERSION_2_0`
`static int` | `GL_CONSTANT_ALPHA` Part of `GL_ARB_imaging`
`static int` | `GL_CONSTANT_COLOR` Part of `GL_ARB_imaging`
`static int` | `GL_CURRENT_PROGRAM` Part of `GL_VERSION_2_0`
`static int` | `GL_CURRENT_VERTEX_ATTRIB` Part of `GL_VERSION_2_0`
`static int` | `GL_DELETE_STATUS` Part of `GL_VERSION_2_0`
`static int` | `GL_DEPTH_COMPONENT` Part of `GL_VERSION_1_0`
`static int` | `GL_FLOAT_MAT2` Part of `GL_VERSION_2_0`
`static int` | `GL_FLOAT_MAT3` Part of `GL_VERSION_2_0`
`static int` | `GL_FLOAT_MAT4` Part of `GL_VERSION_2_0`
`static int` | `GL_FLOAT_VEC2` Part of `GL_VERSION_2_0`
`static int` | `GL_FLOAT_VEC3` Part of `GL_VERSION_2_0`
`static int` | `GL_FLOAT_VEC4` Part of `GL_VERSION_2_0`
`static int` | `GL_FRAGMENT_SHADER` Part of `GL_VERSION_2_0`
`static int` | `GL_FRAGMENT_SHADER_DERIVATIVE_HINT` Part of `GL_VERSION_2_0`
`static int` | `GL_HIGH_FLOAT` Part of `GL_ES_VERSION_2_0`
`static int` | `GL_HIGH_INT` Part of `GL_ES_VERSION_2_0`
`static int` | `GL_INFO_LOG_LENGTH` Part of `GL_VERSION_2_0`
`static int` | `GL_INT` Part of `GL_VERSION_1_0`
`static int` | `GL_INT_VEC2` Part of `GL_VERSION_2_0`
`static int` | `GL_INT_VEC3` Part of `GL_VERSION_2_0`
`static int` | `GL_INT_VEC4` Part of `GL_VERSION_2_0`
`static int` | `GL_LINK_STATUS` Part of `GL_VERSION_2_0`
`static int` | `GL_LOW_FLOAT` Part of `GL_ES_VERSION_2_0`
`static int` | `GL_LOW_INT` Part of `GL_ES_VERSION_2_0`
`static int` | `GL_MAX_COMBINED_TEXTURE_IMAGE_UNITS` Part of `GL_VERSION_2_0`
`static int` | `GL_MAX_FRAGMENT_UNIFORM_VECTORS` Part of `GL_ES_VERSION_2_0`
`static int` | `GL_MAX_TEXTURE_IMAGE_UNITS` Part of `GL_VERSION_2_0`
`static int` | `GL_MAX_VARYING_VECTORS` Part of `GL_ES_VERSION_2_0`
`static int` | `GL_MAX_VERTEX_ATTRIBS` Part of `GL_VERSION_2_0`
`static int` | `GL_MAX_VERTEX_TEXTURE_IMAGE_UNITS` Part of `GL_VERSION_2_0`
`static int` | `GL_MAX_VERTEX_UNIFORM_VECTORS` Part of `GL_ES_VERSION_2_0`
`static int` | `GL_MEDIUM_FLOAT` Part of `GL_ES_VERSION_2_0`
`static int` | `GL_MEDIUM_INT` Part of `GL_ES_VERSION_2_0`
`static int` | `GL_NUM_SHADER_BINARY_FORMATS` Part of `GL_ES_VERSION_2_0`
`static int` | `GL_ONE_MINUS_CONSTANT_ALPHA` Part of `GL_ARB_imaging`
`static int` | `GL_ONE_MINUS_CONSTANT_COLOR` Part of `GL_ARB_imaging`
`static int` | `GL_PLATFORM_BINARY` Part of `GL_ES_VERSION_2_0`
`static int` | `GL_SAMPLER_2D` Part of `GL_VERSION_2_0`
`static int` | `GL_SAMPLER_CUBE` Part of `GL_VERSION_2_0`
`static int` | `GL_SHADER_BINARY_FORMATS` Part of `GL_ES_VERSION_2_0`
`static int` | `GL_SHADER_COMPILER` Part of `GL_ES_VERSION_2_0`
`static int` | `GL_SHADER_SOURCE_LENGTH` Part of `GL_VERSION_2_0`
`static int` | `GL_SHADER_TYPE` Part of `GL_VERSION_2_0`
`static int` | `GL_SHADING_LANGUAGE_VERSION` Part of `GL_VERSION_2_0`
`static int` | `GL_STENCIL_BACK_FAIL` Part of `GL_VERSION_2_0`
`static int` | `GL_STENCIL_BACK_FUNC` Part of `GL_VERSION_2_0`
`static int` | `GL_STENCIL_BACK_PASS_DEPTH_FAIL` Part of `GL_VERSION_2_0`
`static int` | `GL_STENCIL_BACK_PASS_DEPTH_PASS` Part of `GL_VERSION_2_0`
`static int` | `GL_STENCIL_BACK_REF` Part of `GL_VERSION_2_0`
`static int` | `GL_STENCIL_BACK_VALUE_MASK` Part of `GL_VERSION_2_0`
`static int` | `GL_STENCIL_BACK_WRITEMASK` Part of `GL_VERSION_2_0`
`static int` | `GL_STENCIL_INDEX` Part of `GL_VERSION_1_0`
`static int` | `GL_STREAM_DRAW` Part of `GL_VERSION_1_5`
`static int` | `GL_UNSIGNED_INT` Part of `GL_VERSION_1_0`
`static int` | `GL_VALIDATE_STATUS` Part of `GL_VERSION_2_0`
`static int` | `GL_VERTEX_ATTRIB_ARRAY_BUFFER_BINDING` Part of `GL_VERSION_1_5`
`static int` | `GL_VERTEX_ATTRIB_ARRAY_ENABLED` Part of `GL_VERSION_2_0`
`static int` | `GL_VERTEX_ATTRIB_ARRAY_NORMALIZED` Part of `GL_VERSION_2_0`
`static int` | `GL_VERTEX_ATTRIB_ARRAY_POINTER` Part of `GL_VERSION_2_0`
`static int` | `GL_VERTEX_ATTRIB_ARRAY_SIZE` Part of `GL_VERSION_2_0`
`static int` | `GL_VERTEX_ATTRIB_ARRAY_STRIDE` Part of `GL_VERSION_2_0`
`static int` | `GL_VERTEX_ATTRIB_ARRAY_TYPE` Part of `GL_VERSION_2_0`
`static int` | `GL_VERTEX_SHADER` Part of `GL_VERSION_2_0`

Fields inherited from interface javax.media.opengl.GL
`GL_ACTIVE_TEXTURE, GL_ALIASED_LINE_WIDTH_RANGE, GL_ALIASED_POINT_SIZE_RANGE, GL_ALPHA, GL_ALPHA_BITS, GL_ALWAYS, GL_AND, GL_AND_INVERTED, GL_AND_REVERSE, GL_ARRAY_BUFFER, GL_ARRAY_BUFFER_BINDING, GL_BACK, GL_BLEND, GL_BLEND_DST, GL_BLEND_DST_ALPHA, GL_BLEND_DST_RGB, GL_BLEND_EQUATION, GL_BLEND_EQUATION_ALPHA, GL_BLEND_EQUATION_RGB, GL_BLEND_SRC, GL_BLEND_SRC_ALPHA, GL_BLEND_SRC_RGB, GL_BLUE_BITS, GL_BUFFER_ACCESS, GL_BUFFER_MAP_POINTER, GL_BUFFER_MAPPED, GL_BUFFER_SIZE, GL_BUFFER_USAGE, GL_BYTE, GL_CCW, GL_CLAMP_TO_EDGE, GL_CLEAR, GL_COLOR_ATTACHMENT0, GL_COLOR_BUFFER_BIT, GL_COLOR_CLEAR_VALUE, GL_COLOR_LOGIC_OP, GL_COLOR_WRITEMASK, GL_COMPRESSED_RGB_S3TC_DXT1_EXT, GL_COMPRESSED_RGBA_S3TC_DXT1_EXT, GL_COMPRESSED_RGBA_S3TC_DXT3_EXT, GL_COMPRESSED_RGBA_S3TC_DXT5_EXT, GL_COMPRESSED_TEXTURE_FORMATS, GL_COPY, GL_COPY_INVERTED, GL_CULL_FACE, GL_CULL_FACE_MODE, GL_CW, GL_DECR, GL_DECR_WRAP, GL_DEPTH_ATTACHMENT, GL_DEPTH_BITS, GL_DEPTH_BUFFER_BIT, GL_DEPTH_CLEAR_VALUE, GL_DEPTH_COMPONENT16, GL_DEPTH_COMPONENT24, GL_DEPTH_COMPONENT32, GL_DEPTH_FUNC, GL_DEPTH_RANGE, GL_DEPTH_TEST, GL_DEPTH_WRITEMASK, GL_DITHER, GL_DONT_CARE, GL_DST_ALPHA, GL_DST_COLOR, GL_DYNAMIC_DRAW, GL_ELEMENT_ARRAY_BUFFER, GL_ELEMENT_ARRAY_BUFFER_BINDING, GL_EQUAL, GL_EQUIV, GL_EXTENSIONS, GL_FALSE, GL_FASTEST, GL_FIXED, GL_FLOAT, GL_FRAMEBUFFER, GL_FRAMEBUFFER_ATTACHMENT_OBJECT_NAME, GL_FRAMEBUFFER_ATTACHMENT_OBJECT_TYPE, GL_FRAMEBUFFER_ATTACHMENT_TEXTURE_CUBE_MAP_FACE, GL_FRAMEBUFFER_ATTACHMENT_TEXTURE_LAYER, GL_FRAMEBUFFER_ATTACHMENT_TEXTURE_LEVEL, GL_FRAMEBUFFER_BINDING, GL_FRAMEBUFFER_COMPLETE, GL_FRAMEBUFFER_INCOMPLETE_ATTACHMENT, GL_FRAMEBUFFER_INCOMPLETE_DIMENSIONS, GL_FRAMEBUFFER_INCOMPLETE_FORMATS, GL_FRAMEBUFFER_INCOMPLETE_MISSING_ATTACHMENT, GL_FRAMEBUFFER_UNSUPPORTED, GL_FRONT, GL_FRONT_AND_BACK, GL_FRONT_FACE, GL_FUNC_ADD, GL_FUNC_REVERSE_SUBTRACT, GL_FUNC_SUBTRACT, GL_GENERATE_MIPMAP_HINT, GL_GEQUAL, GL_GREATER, GL_GREEN_BITS, GL_HALF_FLOAT, GL_IMPLEMENTATION_COLOR_READ_FORMAT, GL_IMPLEMENTATION_COLOR_READ_TYPE, GL_INCR, GL_INCR_WRAP, GL_INVALID_ENUM, GL_INVALID_FRAMEBUFFER_OPERATION, GL_INVALID_OPERATION, GL_INVALID_VALUE, GL_INVERT, GL_KEEP, GL_LEQUAL, GL_LESS, GL_LINE_LOOP, GL_LINE_SMOOTH, GL_LINE_SMOOTH_HINT, GL_LINE_STRIP, GL_LINE_WIDTH, GL_LINEAR, GL_LINEAR_MIPMAP_LINEAR, GL_LINEAR_MIPMAP_NEAREST, GL_LINES, GL_LOGIC_OP_MODE, GL_LUMINANCE, GL_LUMINANCE_ALPHA, GL_MAX_ARRAY_TEXTURE_LAYERS, GL_MAX_CUBE_MAP_TEXTURE_SIZE, GL_MAX_RENDERBUFFER_SIZE, GL_MAX_TEXTURE_MAX_ANISOTROPY_EXT, GL_MAX_TEXTURE_SIZE, GL_MAX_VIEWPORT_DIMS, GL_MIRRORED_REPEAT, GL_MULTISAMPLE, GL_NAND, GL_NEAREST, GL_NEAREST_MIPMAP_LINEAR, GL_NEAREST_MIPMAP_NEAREST, GL_NEVER, GL_NICEST, GL_NO_ERROR, GL_NONE, GL_NOOP, GL_NOR, GL_NOTEQUAL, GL_NUM_COMPRESSED_TEXTURE_FORMATS, GL_ONE, GL_ONE_MINUS_DST_ALPHA, GL_ONE_MINUS_DST_COLOR, GL_ONE_MINUS_SRC_ALPHA, GL_ONE_MINUS_SRC_COLOR, GL_OR, GL_OR_INVERTED, GL_OR_REVERSE, GL_OUT_OF_MEMORY, GL_PACK_ALIGNMENT, GL_POINT_FADE_THRESHOLD_SIZE, GL_POINT_SIZE, GL_POINTS, GL_POLYGON_OFFSET_FACTOR, GL_POLYGON_OFFSET_FILL, GL_POLYGON_OFFSET_UNITS, GL_R11F_G11F_B10F, GL_RED_BITS, GL_RENDERBUFFER, GL_RENDERBUFFER_ALPHA_SIZE, GL_RENDERBUFFER_BINDING, GL_RENDERBUFFER_BLUE_SIZE, GL_RENDERBUFFER_DEPTH_SIZE, GL_RENDERBUFFER_GREEN_SIZE, GL_RENDERBUFFER_HEIGHT, GL_RENDERBUFFER_INTERNAL_FORMAT, GL_RENDERBUFFER_RED_SIZE, GL_RENDERBUFFER_STENCIL_SIZE, GL_RENDERBUFFER_WIDTH, GL_RENDERER, GL_REPEAT, GL_REPLACE, GL_RGB, GL_RGB5_A1, GL_RGB565, GL_RGB8, GL_RGBA, GL_RGBA_SIGNED_COMPONENTS, GL_RGBA4, GL_RGBA8, GL_SAMPLE_ALPHA_TO_COVERAGE, GL_SAMPLE_ALPHA_TO_ONE, GL_SAMPLE_BUFFERS, GL_SAMPLE_COVERAGE, GL_SAMPLE_COVERAGE_INVERT, GL_SAMPLE_COVERAGE_VALUE, GL_SAMPLER_2D_ARRAY, GL_SAMPLES, GL_SCISSOR_BOX, GL_SCISSOR_TEST, GL_SET, GL_SHORT, GL_SMOOTH_LINE_WIDTH_RANGE, GL_SMOOTH_POINT_SIZE_RANGE, GL_SRC_ALPHA, GL_SRC_ALPHA_SATURATE, GL_SRC_COLOR, GL_STATIC_DRAW, GL_STENCIL_ATTACHMENT, GL_STENCIL_BITS, GL_STENCIL_BUFFER_BIT, GL_STENCIL_CLEAR_VALUE, GL_STENCIL_FAIL, GL_STENCIL_FUNC, GL_STENCIL_INDEX1, GL_STENCIL_INDEX4, GL_STENCIL_INDEX8, GL_STENCIL_PASS_DEPTH_FAIL, GL_STENCIL_PASS_DEPTH_PASS, GL_STENCIL_REF, GL_STENCIL_TEST, GL_STENCIL_VALUE_MASK, GL_STENCIL_WRITEMASK, GL_SUBPIXEL_BITS, GL_TEXTURE, GL_TEXTURE_2D, GL_TEXTURE_2D_ARRAY, GL_TEXTURE_BINDING_2D, GL_TEXTURE_BINDING_2D_ARRAY, GL_TEXTURE_BINDING_CUBE_MAP, GL_TEXTURE_CUBE_MAP, GL_TEXTURE_CUBE_MAP_NEGATIVE_X, GL_TEXTURE_CUBE_MAP_NEGATIVE_Y, GL_TEXTURE_CUBE_MAP_NEGATIVE_Z, GL_TEXTURE_CUBE_MAP_POSITIVE_X, GL_TEXTURE_CUBE_MAP_POSITIVE_Y, GL_TEXTURE_CUBE_MAP_POSITIVE_Z, GL_TEXTURE_MAG_FILTER, GL_TEXTURE_MAX_ANISOTROPY_EXT, GL_TEXTURE_MIN_FILTER, GL_TEXTURE_WRAP_S, GL_TEXTURE_WRAP_T, GL_TEXTURE0, GL_TEXTURE1, GL_TEXTURE10, GL_TEXTURE11, GL_TEXTURE12, GL_TEXTURE13, GL_TEXTURE14, GL_TEXTURE15, GL_TEXTURE16, GL_TEXTURE17, GL_TEXTURE18, GL_TEXTURE19, GL_TEXTURE2, GL_TEXTURE20, GL_TEXTURE21, GL_TEXTURE22, GL_TEXTURE23, GL_TEXTURE24, GL_TEXTURE25, GL_TEXTURE26, GL_TEXTURE27, GL_TEXTURE28, GL_TEXTURE29, GL_TEXTURE3, GL_TEXTURE30, GL_TEXTURE31, GL_TEXTURE4, GL_TEXTURE5, GL_TEXTURE6, GL_TEXTURE7, GL_TEXTURE8, GL_TEXTURE9, GL_TRIANGLE_FAN, GL_TRIANGLE_STRIP, GL_TRIANGLES, GL_TRUE, GL_UNPACK_ALIGNMENT, GL_UNSIGNED_BYTE, GL_UNSIGNED_INT_10F_11F_11F_REV, GL_UNSIGNED_SHORT, GL_UNSIGNED_SHORT_4_4_4_4, GL_UNSIGNED_SHORT_5_5_5_1, GL_UNSIGNED_SHORT_5_6_5, GL_VENDOR, GL_VERSION, GL_VIEWPORT, GL_WRITE_ONLY, GL_XOR, GL_ZERO`

Method Summary
`void` | `glAttachShader(int program, int shader)` Interface to C language function: `void glAttachShader(GLuint program, GLuint shader);`
`void` | `glBindAttribLocation(int program, int index, String name)` Interface to C language function: `void glBindAttribLocation(GLuint program, GLuint index, const char * name);`
`void` | `glBlendColor(float red, float green, float blue, float alpha)` Interface to C language function: `void glBlendColor(GLclampf red, GLclampf green, GLclampf blue, GLclampf alpha);`
`void` | `glClearDepth(double depth)`
`void` | `glCompileShader(int shader)` Interface to C language function: `void glCompileShader(GLuint shader);`
`int` | `glCreateProgram()` Interface to C language function: `GLuint glCreateProgram(void);`
`int` | `glCreateShader(int type)` Interface to C language function: `GLuint glCreateShader(GLenum type);`
`void` | `glDeleteProgram(int program)` Interface to C language function: `void glDeleteProgram(GLuint program);`
`void` | `glDeleteShader(int shader)` Interface to C language function: `void glDeleteShader(GLuint shader);`
`void` | `glDepthRange(double zNear, double zFar)`
`void` | `glDetachShader(int program, int shader)` Interface to C language function: `void glDetachShader(GLuint program, GLuint shader);`
`void` | `glDisableVertexAttribArray(int index)` Interface to C language function: `void glDisableVertexAttribArray(GLuint index);`
`void` | `glEnableVertexAttribArray(int index)` Interface to C language function: `void glEnableVertexAttribArray(GLuint index);`
`void` | `glGetActiveAttrib(int program, int index, int bufsize, int[] length, int length_offset, int[] size, int size_offset, int[] type, int type_offset, byte[] name, int name_offset)` Interface to C language function: `void glGetActiveAttrib(GLuint program, GLuint index, GLsizei bufsize, GLsizei * length, GLint * size, GLenum * type, char * name);`
`void` | `glGetActiveAttrib(int program, int index, int bufsize, IntBuffer length, IntBuffer size, IntBuffer type, ByteBuffer name)` Interface to C language function: `void glGetActiveAttrib(GLuint program, GLuint index, GLsizei bufsize, GLsizei * length, GLint * size, GLenum * type, char * name);`
`void` | `glGetActiveUniform(int program, int index, int bufsize, int[] length, int length_offset, int[] size, int size_offset, int[] type, int type_offset, byte[] name, int name_offset)` Interface to C language function: `void glGetActiveUniform(GLuint program, GLuint index, GLsizei bufsize, GLsizei * length, GLint * size, GLenum * type, char * name);`
`void` | `glGetActiveUniform(int program, int index, int bufsize, IntBuffer length, IntBuffer size, IntBuffer type, ByteBuffer name)` Interface to C language function: `void glGetActiveUniform(GLuint program, GLuint index, GLsizei bufsize, GLsizei * length, GLint * size, GLenum * type, char * name);`
`void` | `glGetAttachedShaders(int program, int maxcount, int[] count, int count_offset, int[] shaders, int shaders_offset)` Interface to C language function: `void glGetAttachedShaders(GLuint program, GLsizei maxcount, GLsizei * count, GLuint * shaders);`
`void` | `glGetAttachedShaders(int program, int maxcount, IntBuffer count, IntBuffer shaders)` Interface to C language function: `void glGetAttachedShaders(GLuint program, GLsizei maxcount, GLsizei * count, GLuint * shaders);`
`int` | `glGetAttribLocation(int program, String name)` Interface to C language function: `int glGetAttribLocation(GLuint program, const char * name);`
`void` | `glGetProgramInfoLog(int program, int bufsize, int[] length, int length_offset, byte[] infolog, int infolog_offset)` Interface to C language function: `void glGetProgramInfoLog(GLuint program, GLsizei bufsize, GLsizei * length, char * infolog);`
`void` | `glGetProgramInfoLog(int program, int bufsize, IntBuffer length, ByteBuffer infolog)` Interface to C language function: `void glGetProgramInfoLog(GLuint program, GLsizei bufsize, GLsizei * length, char * infolog);`
`void` | `glGetProgramiv(int program, int pname, int[] params, int params_offset)` Interface to C language function: `void glGetProgramiv(GLuint program, GLenum pname, GLint * params);`
`void` | `glGetProgramiv(int program, int pname, IntBuffer params)` Interface to C language function: `void glGetProgramiv(GLuint program, GLenum pname, GLint * params);`
`void` | `glGetShaderInfoLog(int shader, int bufsize, int[] length, int length_offset, byte[] infolog, int infolog_offset)` Interface to C language function: `void glGetShaderInfoLog(GLuint shader, GLsizei bufsize, GLsizei * length, char * infolog);`
`void` | `glGetShaderInfoLog(int shader, int bufsize, IntBuffer length, ByteBuffer infolog)` Interface to C language function: `void glGetShaderInfoLog(GLuint shader, GLsizei bufsize, GLsizei * length, char * infolog);`
`void` | `glGetShaderiv(int shader, int pname, int[] params, int params_offset)` Interface to C language function: `void glGetShaderiv(GLuint shader, GLenum pname, GLint * params);`
`void` | `glGetShaderiv(int shader, int pname, IntBuffer params)` Interface to C language function: `void glGetShaderiv(GLuint shader, GLenum pname, GLint * params);`
`void` | `glGetShaderSource(int shader, int bufsize, int[] length, int length_offset, byte[] source, int source_offset)` Interface to C language function: `void glGetShaderSource(GLuint shader, GLsizei bufsize, GLsizei * length, char * source);`
`void` | `glGetShaderSource(int shader, int bufsize, IntBuffer length, ByteBuffer source)` Interface to C language function: `void glGetShaderSource(GLuint shader, GLsizei bufsize, GLsizei * length, char * source);`
`void` | `glGetUniformfv(int program, int location, float[] params, int params_offset)` Interface to C language function: `void glGetUniformfv(GLuint program, GLint location, GLfloat * params);`
`void` | `glGetUniformfv(int program, int location, FloatBuffer params)` Interface to C language function: `void glGetUniformfv(GLuint program, GLint location, GLfloat * params);`
`void` | `glGetUniformiv(int program, int location, int[] params, int params_offset)` Interface to C language function: `void glGetUniformiv(GLuint program, GLint location, GLint * params);`
`void` | `glGetUniformiv(int program, int location, IntBuffer params)` Interface to C language function: `void glGetUniformiv(GLuint program, GLint location, GLint * params);`
`int` | `glGetUniformLocation(int program, String name)` Interface to C language function: `int glGetUniformLocation(GLuint program, const char * name);`
`void` | `glGetVertexAttribfv(int index, int pname, float[] params, int params_offset)` Interface to C language function: `void glGetVertexAttribfv(GLuint index, GLenum pname, GLfloat * params);`
`void` | `glGetVertexAttribfv(int index, int pname, FloatBuffer params)` Interface to C language function: `void glGetVertexAttribfv(GLuint index, GLenum pname, GLfloat * params);`
`void` | `glGetVertexAttribiv(int index, int pname, int[] params, int params_offset)` Interface to C language function: `void glGetVertexAttribiv(GLuint index, GLenum pname, GLint * params);`
`void` | `glGetVertexAttribiv(int index, int pname, IntBuffer params)` Interface to C language function: `void glGetVertexAttribiv(GLuint index, GLenum pname, GLint * params);`
`boolean` | `glIsProgram(int program)` Interface to C language function: `GLboolean glIsProgram(GLuint program);`
`boolean` | `glIsShader(int shader)` Interface to C language function: `GLboolean glIsShader(GLuint shader);`
`void` | `glLinkProgram(int program)` Interface to C language function: `void glLinkProgram(GLuint program);`
`void` | `glReleaseShaderCompiler()` Interface to C language function: `void glReleaseShaderCompiler(void);`
`void` | `glShaderBinary(int n, int[] shaders, int shaders_offset, int binaryformat, Buffer binary, int length)` Interface to C language function: `void glShaderBinary(GLint n, const GLuint * shaders, GLenum binaryformat, const void * binary, GLint length);`
`void` | `glShaderBinary(int n, IntBuffer shaders, int binaryformat, Buffer binary, int length)` Interface to C language function: `void glShaderBinary(GLint n, const GLuint * shaders, GLenum binaryformat, const void * binary, GLint length);`
`void` | `glShaderSource(int shader, int count, String[] string, int[] length, int length_offset)` Interface to C language function: `void glShaderSource(GLuint shader, GLsizei count, const char * * string, const GLint * length);`
`void` | `glShaderSource(int shader, int count, String[] string, IntBuffer length)` Interface to C language function: `void glShaderSource(GLuint shader, GLsizei count, const char * * string, const GLint * length);`
`void` | `glStencilFuncSeparate(int face, int func, int ref, int mask)` Interface to C language function: `void glStencilFuncSeparate(GLenum face, GLenum func, GLint ref, GLuint mask);`
`void` | `glStencilMaskSeparate(int face, int mask)` Interface to C language function: `void glStencilMaskSeparate(GLenum face, GLuint mask);`
`void` | `glStencilOpSeparate(int face, int fail, int zfail, int zpass)` Interface to C language function: `void glStencilOpSeparate(GLenum face, GLenum fail, GLenum zfail, GLenum zpass);`
`void` | `glUniform(GLUniformData data)`
`void` | `glUniform1f(int location, float x)` Interface to C language function: `void glUniform1f(GLint location, GLfloat x);`
`void` | `glUniform1fv(int location, int count, float[] v, int v_offset)` Interface to C language function: `void glUniform1fv(GLint location, GLsizei count, const GLfloat * v);`
`void` | `glUniform1fv(int location, int count, FloatBuffer v)` Interface to C language function: `void glUniform1fv(GLint location, GLsizei count, const GLfloat * v);`
`void` | `glUniform1i(int location, int x)` Interface to C language function: `void glUniform1i(GLint location, GLint x);`
`void` | `glUniform1iv(int location, int count, int[] v, int v_offset)` Interface to C language function: `void glUniform1iv(GLint location, GLsizei count, const GLint * v);`
`void` | `glUniform1iv(int location, int count, IntBuffer v)` Interface to C language function: `void glUniform1iv(GLint location, GLsizei count, const GLint * v);`
`void` | `glUniform2f(int location, float x, float y)` Interface to C language function: `void glUniform2f(GLint location, GLfloat x, GLfloat y);`
`void` | `glUniform2fv(int location, int count, float[] v, int v_offset)` Interface to C language function: `void glUniform2fv(GLint location, GLsizei count, const GLfloat * v);`
`void` | `glUniform2fv(int location, int count, FloatBuffer v)` Interface to C language function: `void glUniform2fv(GLint location, GLsizei count, const GLfloat * v);`
`void` | `glUniform2i(int location, int x, int y)` Interface to C language function: `void glUniform2i(GLint location, GLint x, GLint y);`
`void` | `glUniform2iv(int location, int count, int[] v, int v_offset)` Interface to C language function: `void glUniform2iv(GLint location, GLsizei count, const GLint * v);`
`void` | `glUniform2iv(int location, int count, IntBuffer v)` Interface to C language function: `void glUniform2iv(GLint location, GLsizei count, const GLint * v);`
`void` | `glUniform3f(int location, float x, float y, float z)` Interface to C language function: `void glUniform3f(GLint location, GLfloat x, GLfloat y, GLfloat z);`
`void` | `glUniform3fv(int location, int count, float[] v, int v_offset)` Interface to C language function: `void glUniform3fv(GLint location, GLsizei count, const GLfloat * v);`
`void` | `glUniform3fv(int location, int count, FloatBuffer v)` Interface to C language function: `void glUniform3fv(GLint location, GLsizei count, const GLfloat * v);`
`void` | `glUniform3i(int location, int x, int y, int z)` Interface to C language function: `void glUniform3i(GLint location, GLint x, GLint y, GLint z);`
`void` | `glUniform3iv(int location, int count, int[] v, int v_offset)` Interface to C language function: `void glUniform3iv(GLint location, GLsizei count, const GLint * v);`
`void` | `glUniform3iv(int location, int count, IntBuffer v)` Interface to C language function: `void glUniform3iv(GLint location, GLsizei count, const GLint * v);`
`void` | `glUniform4f(int location, float x, float y, float z, float w)` Interface to C language function: `void glUniform4f(GLint location, GLfloat x, GLfloat y, GLfloat z, GLfloat w);`
`void` | `glUniform4fv(int location, int count, float[] v, int v_offset)` Interface to C language function: `void glUniform4fv(GLint location, GLsizei count, const GLfloat * v);`
`void` | `glUniform4fv(int location, int count, FloatBuffer v)` Interface to C language function: `void glUniform4fv(GLint location, GLsizei count, const GLfloat * v);`
`void` | `glUniform4i(int location, int x, int y, int z, int w)` Interface to C language function: `void glUniform4i(GLint location, GLint x, GLint y, GLint z, GLint w);`
`void` | `glUniform4iv(int location, int count, int[] v, int v_offset)` Interface to C language function: `void glUniform4iv(GLint location, GLsizei count, const GLint * v);`
`void` | `glUniform4iv(int location, int count, IntBuffer v)` Interface to C language function: `void glUniform4iv(GLint location, GLsizei count, const GLint * v);`
`void` | `glUniformMatrix2fv(int location, int count, boolean transpose, float[] value, int value_offset)` Interface to C language function: `void glUniformMatrix2fv(GLint location, GLsizei count, GLboolean transpose, const GLfloat * value);`
`void` | `glUniformMatrix2fv(int location, int count, boolean transpose, FloatBuffer value)` Interface to C language function: `void glUniformMatrix2fv(GLint location, GLsizei count, GLboolean transpose, const GLfloat * value);`
`void` | `glUniformMatrix3fv(int location, int count, boolean transpose, float[] value, int value_offset)` Interface to C language function: `void glUniformMatrix3fv(GLint location, GLsizei count, GLboolean transpose, const GLfloat * value);`
`void` | `glUniformMatrix3fv(int location, int count, boolean transpose, FloatBuffer value)` Interface to C language function: `void glUniformMatrix3fv(GLint location, GLsizei count, GLboolean transpose, const GLfloat * value);`
`void` | `glUniformMatrix4fv(int location, int count, boolean transpose, float[] value, int value_offset)` Interface to C language function: `void glUniformMatrix4fv(GLint location, GLsizei count, GLboolean transpose, const GLfloat * value);`
`void` | `glUniformMatrix4fv(int location, int count, boolean transpose, FloatBuffer value)` Interface to C language function: `void glUniformMatrix4fv(GLint location, GLsizei count, GLboolean transpose, const GLfloat * value);`
`void` | `glUseProgram(int program)` Interface to C language function: `void glUseProgram(GLuint program);`
`void` | `glValidateProgram(int program)` Interface to C language function: `void glValidateProgram(GLuint program);`
`void` | `glVertexAttrib1f(int indx, float x)` Interface to C language function: `void glVertexAttrib1f(GLuint indx, GLfloat x);`
`void` | `glVertexAttrib1fv(int indx, float[] values, int values_offset)` Interface to C language function: `void glVertexAttrib1fv(GLuint indx, const GLfloat * values);`
`void` | `glVertexAttrib1fv(int indx, FloatBuffer values)` Interface to C language function: `void glVertexAttrib1fv(GLuint indx, const GLfloat * values);`
`void` | `glVertexAttrib2f(int indx, float x, float y)` Interface to C language function: `void glVertexAttrib2f(GLuint indx, GLfloat x, GLfloat y);`
`void` | `glVertexAttrib2fv(int indx, float[] values, int values_offset)` Interface to C language function: `void glVertexAttrib2fv(GLuint indx, const GLfloat * values);`
`void` | `glVertexAttrib2fv(int indx, FloatBuffer values)` Interface to C language function: `void glVertexAttrib2fv(GLuint indx, const GLfloat * values);`
`void` | `glVertexAttrib3f(int indx, float x, float y, float z)` Interface to C language function: `void glVertexAttrib3f(GLuint indx, GLfloat x, GLfloat y, GLfloat z);`
`void` | `glVertexAttrib3fv(int indx, float[] values, int values_offset)` Interface to C language function: `void glVertexAttrib3fv(GLuint indx, const GLfloat * values);`
`void` | `glVertexAttrib3fv(int indx, FloatBuffer values)` Interface to C language function: `void glVertexAttrib3fv(GLuint indx, const GLfloat * values);`
`void` | `glVertexAttrib4f(int indx, float x, float y, float z, float w)` Interface to C language function: `void glVertexAttrib4f(GLuint indx, GLfloat x, GLfloat y, GLfloat z, GLfloat w);`
`void` | `glVertexAttrib4fv(int indx, float[] values, int values_offset)` Interface to C language function: `void glVertexAttrib4fv(GLuint indx, const GLfloat * values);`
`void` | `glVertexAttrib4fv(int indx, FloatBuffer values)` Interface to C language function: `void glVertexAttrib4fv(GLuint indx, const GLfloat * values);`
`void` | `glVertexAttribPointer(GLArrayData array)`
`void` | `glVertexAttribPointer(int indx, int size, int type, boolean normalized, int stride, Buffer ptr)` Entry point to C language function: `void glVertexAttribPointer(GLuint indx, GLint size, GLenum type, GLboolean normalized, GLsizei stride, const void * ptr);` Part of `GL_VERSION_2_0`
`void` | `glVertexAttribPointer(int indx, int size, int type, boolean normalized, int stride, long ptr_buffer_offset)` Entry point to C language function: `void glVertexAttribPointer(GLuint indx, GLint size, GLenum type, GLboolean normalized, GLsizei stride, const void * ptr);` Part of `GL_VERSION_2_0`

Methods inherited from interface javax.media.opengl.GL
`glActiveTexture, glBindBuffer, glBindFramebuffer, glBindRenderbuffer, glBindTexture, glBlendEquation, glBlendEquationSeparate, glBlendFunc, glBlendFuncSeparate, glBufferData, glBufferSubData, glCheckFramebufferStatus, glClear, glClearColor, glClearDepthf, glClearStencil, glColorMask, glCompressedTexImage2D, glCompressedTexImage2D, glCompressedTexSubImage2D, glCompressedTexSubImage2D, glCopyTexImage2D, glCopyTexSubImage2D, glCullFace, glDeleteBuffers, glDeleteBuffers, glDeleteFramebuffers, glDeleteFramebuffers, glDeleteRenderbuffers, glDeleteRenderbuffers, glDeleteTextures, glDeleteTextures, glDepthFunc, glDepthMask, glDepthRangef, glDisable, glDrawArrays, glDrawElements, glDrawElements, glEnable, glFinish, glFlush, glFramebufferRenderbuffer, glFramebufferTexture2D, glFrontFace, glGenBuffers, glGenBuffers, glGenerateMipmap, glGenFramebuffers, glGenFramebuffers, glGenRenderbuffers, glGenRenderbuffers, glGenTextures, glGenTextures, glGetBooleanv, glGetBooleanv, glGetBoundBuffer, glGetBufferParameteriv, glGetBufferParameteriv, glGetError, glGetFloatv, glGetFloatv, glGetFramebufferAttachmentParameteriv, glGetFramebufferAttachmentParameteriv, glGetIntegerv, glGetIntegerv, glGetRenderbufferParameteriv, glGetRenderbufferParameteriv, glGetString, glGetTexParameterfv, glGetTexParameterfv, glGetTexParameteriv, glGetTexParameteriv, glHint, glIsBuffer, glIsEnabled, glIsFramebuffer, glIsRenderbuffer, glIsTexture, glIsVBOArrayEnabled, glIsVBOElementEnabled, glLineWidth, glMapBuffer, glPixelStorei, glPolygonOffset, glReadPixels, glReadPixels, glRenderbufferStorage, glSampleCoverage, glScissor, glStencilFunc, glStencilMask, glStencilOp, glTexImage2D, glTexImage2D, glTexParameterf, glTexParameterfv, glTexParameterfv, glTexParameteri, glTexParameteriv, glTexParameteriv, glTexSubImage2D, glTexSubImage2D, glUnmapBuffer, glViewport`

Methods inherited from interface javax.media.opengl.GLBase
`getContext, getExtension, getGL, getGL2, getGL2ES1, getGL2ES2, getGL2GL3, getGL3, getGLES1, getGLES2, getGLProfile, getPlatformGLExtensions, getSwapInterval, hasGLSL, isExtensionAvailable, isFunctionAvailable, isGL, isGL2, isGL2ES1, isGL2ES2, isGL2GL3, isGL3, isGLES, isGLES1, isGLES2, setSwapInterval`

Field Detail

### GL_CONSTANT_COLOR

    static final int GL_CONSTANT_COLOR

  Part of `GL_ARB_imaging`

  See Also:
    Constant Field Values

### GL_ONE_MINUS_CONSTANT_COLOR

    static final int GL_ONE_MINUS_CONSTANT_COLOR

  Part of `GL_ARB_imaging`

  See Also:
    Constant Field Values

### GL_CONSTANT_ALPHA

    static final int GL_CONSTANT_ALPHA

  Part of `GL_ARB_imaging`

  See Also:
    Constant Field Values

### GL_ONE_MINUS_CONSTANT_ALPHA

    static final int GL_ONE_MINUS_CONSTANT_ALPHA

  Part of `GL_ARB_imaging`

  See Also:
    Constant Field Values

### GL_BLEND_COLOR

    static final int GL_BLEND_COLOR

  Part of `GL_ARB_imaging`

  See Also:
    Constant Field Values

### GL_STREAM_DRAW

    static final int GL_STREAM_DRAW

  Part of `GL_VERSION_1_5`

  See Also:
    Constant Field Values

### GL_CURRENT_VERTEX_ATTRIB

    static final int GL_CURRENT_VERTEX_ATTRIB

  Part of `GL_VERSION_2_0`

  See Also:
    Constant Field Values

### GL_STENCIL_BACK_FUNC

    static final int GL_STENCIL_BACK_FUNC

  Part of `GL_VERSION_2_0`

  See Also:
    Constant Field Values

### GL_STENCIL_BACK_FAIL

    static final int GL_STENCIL_BACK_FAIL

  Part of `GL_VERSION_2_0`

  See Also:
    Constant Field Values

### GL_STENCIL_BACK_PASS_DEPTH_FAIL

    static final int GL_STENCIL_BACK_PASS_DEPTH_FAIL

  Part of `GL_VERSION_2_0`

  See Also:
    Constant Field Values

### GL_STENCIL_BACK_PASS_DEPTH_PASS

    static final int GL_STENCIL_BACK_PASS_DEPTH_PASS

  Part of `GL_VERSION_2_0`

  See Also:
    Constant Field Values

### GL_STENCIL_BACK_REF

    static final int GL_STENCIL_BACK_REF

  Part of `GL_VERSION_2_0`

  See Also:
    Constant Field Values

### GL_STENCIL_BACK_VALUE_MASK

    static final int GL_STENCIL_BACK_VALUE_MASK

  Part of `GL_VERSION_2_0`

  See Also:
    Constant Field Values

### GL_STENCIL_BACK_WRITEMASK

    static final int GL_STENCIL_BACK_WRITEMASK

  Part of `GL_VERSION_2_0`

  See Also:
    Constant Field Values

### GL_FRAGMENT_SHADER_DERIVATIVE_HINT

    static final int GL_FRAGMENT_SHADER_DERIVATIVE_HINT

  Part of `GL_VERSION_2_0`

  See Also:
    Constant Field Values

### GL_INT

    static final int GL_INT

  Part of `GL_VERSION_1_0`

  See Also:
    Constant Field Values

### GL_UNSIGNED_INT

    static final int GL_UNSIGNED_INT

  Part of `GL_VERSION_1_0`

  See Also:
    Constant Field Values

### GL_DEPTH_COMPONENT

    static final int GL_DEPTH_COMPONENT

  Part of `GL_VERSION_1_0`

  See Also:
    Constant Field Values

### GL_FRAGMENT_SHADER

    static final int GL_FRAGMENT_SHADER

  Part of `GL_VERSION_2_0`

  See Also:
    Constant Field Values

### GL_VERTEX_SHADER

    static final int GL_VERTEX_SHADER

  Part of `GL_VERSION_2_0`

  See Also:
    Constant Field Values

### GL_MAX_VERTEX_ATTRIBS

    static final int GL_MAX_VERTEX_ATTRIBS

  Part of `GL_VERSION_2_0`

  See Also:
    Constant Field Values

### GL_MAX_VERTEX_UNIFORM_VECTORS

    static final int GL_MAX_VERTEX_UNIFORM_VECTORS

  Part of `GL_ES_VERSION_2_0`

  See Also:
    Constant Field Values

### GL_MAX_VARYING_VECTORS

    static final int GL_MAX_VARYING_VECTORS

  Part of `GL_ES_VERSION_2_0`

  See Also:
    Constant Field Values

### GL_MAX_COMBINED_TEXTURE_IMAGE_UNITS

    static final int GL_MAX_COMBINED_TEXTURE_IMAGE_UNITS

  Part of `GL_VERSION_2_0`

  See Also:
    Constant Field Values

### GL_MAX_VERTEX_TEXTURE_IMAGE_UNITS

    static final int GL_MAX_VERTEX_TEXTURE_IMAGE_UNITS

  Part of `GL_VERSION_2_0`

  See Also:
    Constant Field Values

### GL_MAX_TEXTURE_IMAGE_UNITS

    static final int GL_MAX_TEXTURE_IMAGE_UNITS

  Part of `GL_VERSION_2_0`

  See Also:
    Constant Field Values

### GL_MAX_FRAGMENT_UNIFORM_VECTORS

    static final int GL_MAX_FRAGMENT_UNIFORM_VECTORS

  Part of `GL_ES_VERSION_2_0`

  See Also:
    Constant Field Values

### GL_SHADER_TYPE

    static final int GL_SHADER_TYPE

  Part of `GL_VERSION_2_0`

  See Also:
    Constant Field Values

### GL_DELETE_STATUS

    static final int GL_DELETE_STATUS

  Part of `GL_VERSION_2_0`

  See Also:
    Constant Field Values

### GL_LINK_STATUS

    static final int GL_LINK_STATUS

  Part of `GL_VERSION_2_0`

  See Also:
    Constant Field Values

### GL_VALIDATE_STATUS

    static final int GL_VALIDATE_STATUS

  Part of `GL_VERSION_2_0`

  See Also:
    Constant Field Values

### GL_ATTACHED_SHADERS

    static final int GL_ATTACHED_SHADERS

  Part of `GL_VERSION_2_0`

  See Also:
    Constant Field Values

### GL_ACTIVE_UNIFORMS

    static final int GL_ACTIVE_UNIFORMS

  Part of `GL_VERSION_2_0`

  See Also:
    Constant Field Values

### GL_ACTIVE_UNIFORM_MAX_LENGTH

    static final int GL_ACTIVE_UNIFORM_MAX_LENGTH

  Part of `GL_VERSION_2_0`

  See Also:
    Constant Field Values

### GL_ACTIVE_ATTRIBUTES

    static final int GL_ACTIVE_ATTRIBUTES

  Part of `GL_VERSION_2_0`

  See Also:
    Constant Field Values

### GL_ACTIVE_ATTRIBUTE_MAX_LENGTH

    static final int GL_ACTIVE_ATTRIBUTE_MAX_LENGTH

  Part of `GL_VERSION_2_0`

  See Also:
    Constant Field Values

### GL_SHADING_LANGUAGE_VERSION

    static final int GL_SHADING_LANGUAGE_VERSION

  Part of `GL_VERSION_2_0`

  See Also:
    Constant Field Values

### GL_CURRENT_PROGRAM

    static final int GL_CURRENT_PROGRAM

  Part of `GL_VERSION_2_0`

  See Also:
    Constant Field Values

### GL_FLOAT_VEC2

    static final int GL_FLOAT_VEC2

  Part of `GL_VERSION_2_0`

  See Also:
    Constant Field Values

### GL_FLOAT_VEC3

    static final int GL_FLOAT_VEC3

  Part of `GL_VERSION_2_0`

  See Also:
    Constant Field Values

### GL_FLOAT_VEC4

    static final int GL_FLOAT_VEC4

  Part of `GL_VERSION_2_0`

  See Also:
    Constant Field Values

### GL_INT_VEC2

    static final int GL_INT_VEC2

  Part of `GL_VERSION_2_0`

  See Also:
    Constant Field Values

### GL_INT_VEC3

    static final int GL_INT_VEC3

  Part of `GL_VERSION_2_0`

  See Also:
    Constant Field Values

### GL_INT_VEC4

    static final int GL_INT_VEC4

  Part of `GL_VERSION_2_0`

  See Also:
    Constant Field Values

### GL_BOOL

    static final int GL_BOOL

  Part of `GL_VERSION_2_0`

  See Also:
    Constant Field Values

### GL_BOOL_VEC2

    static final int GL_BOOL_VEC2

  Part of `GL_VERSION_2_0`

  See Also:
    Constant Field Values

### GL_BOOL_VEC3

    static final int GL_BOOL_VEC3

  Part of `GL_VERSION_2_0`

  See Also:
    Constant Field Values

### GL_BOOL_VEC4

    static final int GL_BOOL_VEC4

  Part of `GL_VERSION_2_0`

  See Also:
    Constant Field Values

### GL_FLOAT_MAT2

    static final int GL_FLOAT_MAT2

  Part of `GL_VERSION_2_0`

  See Also:
    Constant Field Values

### GL_FLOAT_MAT3

    static final int GL_FLOAT_MAT3

  Part of `GL_VERSION_2_0`

  See Also:
    Constant Field Values

### GL_FLOAT_MAT4

    static final int GL_FLOAT_MAT4

  Part of `GL_VERSION_2_0`

  See Also:
    Constant Field Values

### GL_SAMPLER_2D

    static final int GL_SAMPLER_2D

  Part of `GL_VERSION_2_0`

  See Also:
    Constant Field Values

### GL_SAMPLER_CUBE

    static final int GL_SAMPLER_CUBE

  Part of `GL_VERSION_2_0`

  See Also:
    Constant Field Values

### GL_VERTEX_ATTRIB_ARRAY_ENABLED

    static final int GL_VERTEX_ATTRIB_ARRAY_ENABLED

  Part of `GL_VERSION_2_0`

  See Also:
    Constant Field Values

### GL_VERTEX_ATTRIB_ARRAY_SIZE

    static final int GL_VERTEX_ATTRIB_ARRAY_SIZE

  Part of `GL_VERSION_2_0`

  See Also:
    Constant Field Values

### GL_VERTEX_ATTRIB_ARRAY_STRIDE

    static final int GL_VERTEX_ATTRIB_ARRAY_STRIDE

  Part of `GL_VERSION_2_0`

  See Also:
    Constant Field Values

### GL_VERTEX_ATTRIB_ARRAY_TYPE

    static final int GL_VERTEX_ATTRIB_ARRAY_TYPE

  Part of `GL_VERSION_2_0`

  See Also:
    Constant Field Values

### GL_VERTEX_ATTRIB_ARRAY_NORMALIZED

    static final int GL_VERTEX_ATTRIB_ARRAY_NORMALIZED

  Part of `GL_VERSION_2_0`

  See Also:
    Constant Field Values

### GL_VERTEX_ATTRIB_ARRAY_POINTER

    static final int GL_VERTEX_ATTRIB_ARRAY_POINTER

  Part of `GL_VERSION_2_0`

  See Also:
    Constant Field Values

### GL_VERTEX_ATTRIB_ARRAY_BUFFER_BINDING

    static final int GL_VERTEX_ATTRIB_ARRAY_BUFFER_BINDING

  Part of `GL_VERSION_1_5`

  See Also:
    Constant Field Values

### GL_COMPILE_STATUS

    static final int GL_COMPILE_STATUS

  Part of `GL_VERSION_2_0`

  See Also:
    Constant Field Values

### GL_INFO_LOG_LENGTH

    static final int GL_INFO_LOG_LENGTH

  Part of `GL_VERSION_2_0`

  See Also:
    Constant Field Values

### GL_SHADER_SOURCE_LENGTH

    static final int GL_SHADER_SOURCE_LENGTH

  Part of `GL_VERSION_2_0`

  See Also:
    Constant Field Values

### GL_SHADER_COMPILER

    static final int GL_SHADER_COMPILER

  Part of `GL_ES_VERSION_2_0`

  See Also:
    Constant Field Values

### GL_PLATFORM_BINARY

    static final int GL_PLATFORM_BINARY

  Part of `GL_ES_VERSION_2_0`

  See Also:
    Constant Field Values

### GL_SHADER_BINARY_FORMATS

    static final int GL_SHADER_BINARY_FORMATS

  Part of `GL_ES_VERSION_2_0`

  See Also:
    Constant Field Values

### GL_NUM_SHADER_BINARY_FORMATS

    static final int GL_NUM_SHADER_BINARY_FORMATS

  Part of `GL_ES_VERSION_2_0`

  See Also:
    Constant Field Values

### GL_LOW_FLOAT

    static final int GL_LOW_FLOAT

  Part of `GL_ES_VERSION_2_0`

  See Also:
    Constant Field Values

### GL_MEDIUM_FLOAT

    static final int GL_MEDIUM_FLOAT

  Part of `GL_ES_VERSION_2_0`

  See Also:
    Constant Field Values

### GL_HIGH_FLOAT

    static final int GL_HIGH_FLOAT

  Part of `GL_ES_VERSION_2_0`

  See Also:
    Constant Field Values

### GL_LOW_INT

    static final int GL_LOW_INT

  Part of `GL_ES_VERSION_2_0`

  See Also:
    Constant Field Values

### GL_MEDIUM_INT

    static final int GL_MEDIUM_INT

  Part of `GL_ES_VERSION_2_0`

  See Also:
    Constant Field Values

### GL_HIGH_INT

    static final int GL_HIGH_INT

  Part of `GL_ES_VERSION_2_0`

  See Also:
    Constant Field Values

### GL_STENCIL_INDEX

    static final int GL_STENCIL_INDEX

  Part of `GL_VERSION_1_0`

  See Also:
    Constant Field Values

Method Detail

### glAttachShader

    void glAttachShader(int program,
                        int shader)

  Interface to C language function:
  `void glAttachShader(GLuint program, GLuint shader);`

### glBindAttribLocation

    void glBindAttribLocation(int program,
                              int index,
                              String name)

  Interface to C language function:
  `void glBindAttribLocation(GLuint program, GLuint index, const char * name);`

### glBlendColor

    void glBlendColor(float red,
                      float green,
                      float blue,
                      float alpha)

  Interface to C language function:
  `void glBlendColor(GLclampf red, GLclampf green, GLclampf blue, GLclampf alpha);`

### glCompileShader

    void glCompileShader(int shader)

  Interface to C language function:
  `void glCompileShader(GLuint shader);`

### glCreateProgram

    int glCreateProgram()

  Interface to C language function:
  `GLuint glCreateProgram(void);`

### glCreateShader

    int glCreateShader(int type)

  Interface to C language function:
  `GLuint glCreateShader(GLenum type);`

### glDeleteProgram

    void glDeleteProgram(int program)

  Interface to C language function:
  `void glDeleteProgram(GLuint program);`

### glDeleteShader

    void glDeleteShader(int shader)

  Interface to C language function:
  `void glDeleteShader(GLuint shader);`

### glDetachShader

    void glDetachShader(int program,
                        int shader)

  Interface to C language function:
  `void glDetachShader(GLuint program, GLuint shader);`

### glDisableVertexAttribArray

    void glDisableVertexAttribArray(int index)

  Interface to C language function:
  `void glDisableVertexAttribArray(GLuint index);`

### glEnableVertexAttribArray

    void glEnableVertexAttribArray(int index)

  Interface to C language function:
  `void glEnableVertexAttribArray(GLuint index);`

### glGetActiveAttrib

    void glGetActiveAttrib(int program,
                           int index,
                           int bufsize,
                           IntBuffer length,
                           IntBuffer size,
                           IntBuffer type,
                           ByteBuffer name)

  Interface to C language function:
  `void glGetActiveAttrib(GLuint program, GLuint index, GLsizei bufsize, GLsizei * length, GLint * size, GLenum * type, char * name);`

### glGetActiveAttrib

    void glGetActiveAttrib(int program,
                           int index,
                           int bufsize,
                           int[] length,
                           int length_offset,
                           int[] size,
                           int size_offset,
                           int[] type,
                           int type_offset,
                           byte[] name,
                           int name_offset)

  Interface to C language function:
  `void glGetActiveAttrib(GLuint program, GLuint index, GLsizei bufsize, GLsizei * length, GLint * size, GLenum * type, char * name);`

### glGetActiveUniform

    void glGetActiveUniform(int program,
                            int index,
                            int bufsize,
                            IntBuffer length,
                            IntBuffer size,
                            IntBuffer type,
                            ByteBuffer name)

  Interface to C language function:
  `void glGetActiveUniform(GLuint program, GLuint index, GLsizei bufsize, GLsizei * length, GLint * size, GLenum * type, char * name);`

### glGetActiveUniform

    void glGetActiveUniform(int program,
                            int index,
                            int bufsize,
                            int[] length,
                            int length_offset,
                            int[] size,
                            int size_offset,
                            int[] type,
                            int type_offset,
                            byte[] name,
                            int name_offset)

  Interface to C language function:
  `void glGetActiveUniform(GLuint program, GLuint index, GLsizei bufsize, GLsizei * length, GLint * size, GLenum * type, char * name);`

### glGetAttachedShaders

    void glGetAttachedShaders(int program,
                              int maxcount,
                              IntBuffer count,
                              IntBuffer shaders)

  Interface to C language function:
  `void glGetAttachedShaders(GLuint program, GLsizei maxcount, GLsizei * count, GLuint * shaders);`

### glGetAttachedShaders

    void glGetAttachedShaders(int program,
                              int maxcount,
                              int[] count,
                              int count_offset,
                              int[] shaders,
                              int shaders_offset)

  Interface to C language function:
  `void glGetAttachedShaders(GLuint program, GLsizei maxcount, GLsizei * count, GLuint * shaders);`

### glGetAttribLocation

    int glGetAttribLocation(int program,
                            String name)

  Interface to C language function:
  `int glGetAttribLocation(GLuint program, const char * name);`

### glGetProgramInfoLog

    void glGetProgramInfoLog(int program,
                             int bufsize,
                             IntBuffer length,
                             ByteBuffer infolog)

  Interface to C language function:
  `void glGetProgramInfoLog(GLuint program, GLsizei bufsize, GLsizei * length, char * infolog);`

### glGetProgramInfoLog

    void glGetProgramInfoLog(int program,
                             int bufsize,
                             int[] length,
                             int length_offset,
                             byte[] infolog,
                             int infolog_offset)

  Interface to C language function:
  `void glGetProgramInfoLog(GLuint program, GLsizei bufsize, GLsizei * length, char * infolog);`

### glGetProgramiv

    void glGetProgramiv(int program,
                        int pname,
                        IntBuffer params)

  Interface to C language function:
  `void glGetProgramiv(GLuint program, GLenum pname, GLint * params);`

### glGetProgramiv

    void glGetProgramiv(int program,
                        int pname,
                        int[] params,
                        int params_offset)

  Interface to C language function:
  `void glGetProgramiv(GLuint program, GLenum pname, GLint * params);`

### glGetShaderInfoLog

    void glGetShaderInfoLog(int shader,
                            int bufsize,
                            IntBuffer length,
                            ByteBuffer infolog)

  Interface to C language function:
  `void glGetShaderInfoLog(GLuint shader, GLsizei bufsize, GLsizei * length, char * infolog);`

### glGetShaderInfoLog

    void glGetShaderInfoLog(int shader,
                            int bufsize,
                            int[] length,
                            int length_offset,
                            byte[] infolog,
                            int infolog_offset)

  Interface to C language function:
  `void glGetShaderInfoLog(GLuint shader, GLsizei bufsize, GLsizei * length, char * infolog);`

### glGetShaderSource

    void glGetShaderSource(int shader,
                           int bufsize,
                           IntBuffer length,
                           ByteBuffer source)

  Interface to C language function:
  `void glGetShaderSource(GLuint shader, GLsizei bufsize, GLsizei * length, char * source);`

### glGetShaderSource

    void glGetShaderSource(int shader,
                           int bufsize,
                           int[] length,
                           int length_offset,
                           byte[] source,
                           int source_offset)

  Interface to C language function:
  `void glGetShaderSource(GLuint shader, GLsizei bufsize, GLsizei * length, char * source);`

### glGetShaderiv

    void glGetShaderiv(int shader,
                       int pname,
                       IntBuffer params)

  Interface to C language function:
  `void glGetShaderiv(GLuint shader, GLenum pname, GLint * params);`

### glGetShaderiv

    void glGetShaderiv(int shader,
                       int pname,
                       int[] params,
                       int params_offset)

  Interface to C language function:
  `void glGetShaderiv(GLuint shader, GLenum pname, GLint * params);`

### glGetUniformLocation

    int glGetUniformLocation(int program,
                             String name)

  Interface to C language function:
  `int glGetUniformLocation(GLuint program, const char * name);`

### glGetUniformfv

    void glGetUniformfv(int program,
                        int location,
                        FloatBuffer params)

  Interface to C language function:
  `void glGetUniformfv(GLuint program, GLint location, GLfloat * params);`

### glGetUniformfv

    void glGetUniformfv(int program,
                        int location,
                        float[] params,
                        int params_offset)

  Interface to C language function:
  `void glGetUniformfv(GLuint program, GLint location, GLfloat * params);`

### glGetUniformiv

    void glGetUniformiv(int program,
                        int location,
                        IntBuffer params)

  Interface to C language function:
  `void glGetUniformiv(GLuint program, GLint location, GLint * params);`

### glGetUniformiv

    void glGetUniformiv(int program,
                        int location,
                        int[] params,
                        int params_offset)

  Interface to C language function:
  `void glGetUniformiv(GLuint program, GLint location, GLint * params);`

### glGetVertexAttribfv

    void glGetVertexAttribfv(int index,
                             int pname,
                             FloatBuffer params)

  Interface to C language function:
  `void glGetVertexAttribfv(GLuint index, GLenum pname, GLfloat * params);`

### glGetVertexAttribfv

    void glGetVertexAttribfv(int index,
                             int pname,
                             float[] params,
                             int params_offset)

  Interface to C language function:
  `void glGetVertexAttribfv(GLuint index, GLenum pname, GLfloat * params);`

### glGetVertexAttribiv

    void glGetVertexAttribiv(int index,
                             int pname,
                             IntBuffer params)

  Interface to C language function:
  `void glGetVertexAttribiv(GLuint index, GLenum pname, GLint * params);`

### glGetVertexAttribiv

    void glGetVertexAttribiv(int index,
                             int pname,
                             int[] params,
                             int params_offset)

  Interface to C language function:
  `void glGetVertexAttribiv(GLuint index, GLenum pname, GLint * params);`

### glIsProgram

    boolean glIsProgram(int program)

  Interface to C language function:
  `GLboolean glIsProgram(GLuint program);`

### glIsShader

    boolean glIsShader(int shader)

  Interface to C language function:
  `GLboolean glIsShader(GLuint shader);`

### glLinkProgram

    void glLinkProgram(int program)

  Interface to C language function:
  `void glLinkProgram(GLuint program);`

### glReleaseShaderCompiler

    void glReleaseShaderCompiler()

  Interface to C language function:
  `void glReleaseShaderCompiler(void);`

### glShaderBinary

    void glShaderBinary(int n,
                        IntBuffer shaders,
                        int binaryformat,
                        Buffer binary,
                        int length)

  Interface to C language function:
  `void glShaderBinary(GLint n, const GLuint * shaders, GLenum binaryformat, const void * binary, GLint length);`

### glShaderBinary

    void glShaderBinary(int n,
                        int[] shaders,
                        int shaders_offset,
                        int binaryformat,
                        Buffer binary,
                        int length)

  Interface to C language function:
  `void glShaderBinary(GLint n, const GLuint * shaders, GLenum binaryformat, const void * binary, GLint length);`

### glShaderSource

    void glShaderSource(int shader,
                        int count,
                        String[] string,
                        IntBuffer length)

  Interface to C language function:
  `void glShaderSource(GLuint shader, GLsizei count, const char * * string, const GLint * length);`

### glShaderSource

    void glShaderSource(int shader,
                        int count,
                        String[] string,
                        int[] length,
                        int length_offset)

  Interface to C language function:
  `void glShaderSource(GLuint shader, GLsizei count, const char * * string, const GLint * length);`

### glStencilFuncSeparate

    void glStencilFuncSeparate(int face,
                               int func,
                               int ref,
                               int mask)

  Interface to C language function:
  `void glStencilFuncSeparate(GLenum face, GLenum func, GLint ref, GLuint mask);`

### glStencilMaskSeparate

    void glStencilMaskSeparate(int face,
                               int mask)

  Interface to C language function:
  `void glStencilMaskSeparate(GLenum face, GLuint mask);`

### glStencilOpSeparate

    void glStencilOpSeparate(int face,
                             int fail,
                             int zfail,
                             int zpass)

  Interface to C language function:
  `void glStencilOpSeparate(GLenum face, GLenum fail, GLenum zfail, GLenum zpass);`

### glUniform1f

    void glUniform1f(int location,
                     float x)

  Interface to C language function:
  `void glUniform1f(GLint location, GLfloat x);`

### glUniform1fv

    void glUniform1fv(int location,
                      int count,
                      FloatBuffer v)

  Interface to C language function:
  `void glUniform1fv(GLint location, GLsizei count, const GLfloat * v);`

### glUniform1fv

    void glUniform1fv(int location,
                      int count,
                      float[] v,
                      int v_offset)

  Interface to C language function:
  `void glUniform1fv(GLint location, GLsizei count, const GLfloat * v);`

### glUniform1i

    void glUniform1i(int location,
                     int x)

  Interface to C language function:
  `void glUniform1i(GLint location, GLint x);`

### glUniform1iv

    void glUniform1iv(int location,
                      int count,
                      IntBuffer v)

  Interface to C language function:
  `void glUniform1iv(GLint location, GLsizei count, const GLint * v);`

### glUniform1iv

    void glUniform1iv(int location,
                      int count,
                      int[] v,
                      int v_offset)

  Interface to C language function:
  `void glUniform1iv(GLint location, GLsizei count, const GLint * v);`

### glUniform2f

    void glUniform2f(int location,
                     float x,
                     float y)

  Interface to C language function:
  `void glUniform2f(GLint location, GLfloat x, GLfloat y);`

### glUniform2fv

    void glUniform2fv(int location,
                      int count,
                      FloatBuffer v)

  Interface to C language function:
  `void glUniform2fv(GLint location, GLsizei count, const GLfloat * v);`

### glUniform2fv

    void glUniform2fv(int location,
                      int count,
                      float[] v,
                      int v_offset)

  Interface to C language function:
  `void glUniform2fv(GLint location, GLsizei count, const GLfloat * v);`

### glUniform2i

    void glUniform2i(int location,
                     int x,
                     int y)

  Interface to C language function:
  `void glUniform2i(GLint location, GLint x, GLint y);`

### glUniform2iv

    void glUniform2iv(int location,
                      int count,
                      IntBuffer v)

  Interface to C language function:
  `void glUniform2iv(GLint location, GLsizei count, const GLint * v);`

### glUniform2iv

    void glUniform2iv(int location,
                      int count,
                      int[] v,
                      int v_offset)

  Interface to C language function:
  `void glUniform2iv(GLint location, GLsizei count, const GLint * v);`

### glUniform3f

    void glUniform3f(int location,
                     float x,
                     float y,
                     float z)

  Interface to C language function:
  `void glUniform3f(GLint location, GLfloat x, GLfloat y, GLfloat z);`

### glUniform3fv

    void glUniform3fv(int location,
                      int count,
                      FloatBuffer v)

  Interface to C language function:
  `void glUniform3fv(GLint location, GLsizei count, const GLfloat * v);`

### glUniform3fv

    void glUniform3fv(int location,
                      int count,
                      float[] v,
                      int v_offset)

  Interface to C language function:
  `void glUniform3fv(GLint location, GLsizei count, const GLfloat * v);`

### glUniform3i

    void glUniform3i(int location,
                     int x,
                     int y,
                     int z)

  Interface to C language function:
  `void glUniform3i(GLint location, GLint x, GLint y, GLint z);`

### glUniform3iv

    void glUniform3iv(int location,
                      int count,
                      IntBuffer v)

  Interface to C language function:
  `void glUniform3iv(GLint location, GLsizei count, const GLint * v);`

### glUniform3iv

    void glUniform3iv(int location,
                      int count,
                      int[] v,
                      int v_offset)

  Interface to C language function:
  `void glUniform3iv(GLint location, GLsizei count, const GLint * v);`

### glUniform4f

    void glUniform4f(int location,
                     float x,
                     float y,
                     float z,
                     float w)

  Interface to C language function:
  `void glUniform4f(GLint location, GLfloat x, GLfloat y, GLfloat z, GLfloat w);`

### glUniform4fv

    void glUniform4fv(int location,
                      int count,
                      FloatBuffer v)

  Interface to C language function:
  `void glUniform4fv(GLint location, GLsizei count, const GLfloat * v);`

### glUniform4fv

    void glUniform4fv(int location,
                      int count,
                      float[] v,
                      int v_offset)

  Interface to C language function:
  `void glUniform4fv(GLint location, GLsizei count, const GLfloat * v);`

### glUniform4i

    void glUniform4i(int location,
                     int x,
                     int y,
                     int z,
                     int w)

  Interface to C language function:
  `void glUniform4i(GLint location, GLint x, GLint y, GLint z, GLint w);`

### glUniform4iv

    void glUniform4iv(int location,
                      int count,
                      IntBuffer v)

  Interface to C language function:
  `void glUniform4iv(GLint location, GLsizei count, const GLint * v);`

### glUniform4iv

    void glUniform4iv(int location,
                      int count,
                      int[] v,
                      int v_offset)

  Interface to C language function:
  `void glUniform4iv(GLint location, GLsizei count, const GLint * v);`

### glUniformMatrix2fv

    void glUniformMatrix2fv(int location,
                            int count,
                            boolean transpose,
                            FloatBuffer value)

  Interface to C language function:
  `void glUniformMatrix2fv(GLint location, GLsizei count, GLboolean transpose, const GLfloat * value);`

### glUniformMatrix2fv

    void glUniformMatrix2fv(int location,
                            int count,
                            boolean transpose,
                            float[] value,
                            int value_offset)

  Interface to C language function:
  `void glUniformMatrix2fv(GLint location, GLsizei count, GLboolean transpose, const GLfloat * value);`

### glUniformMatrix3fv

    void glUniformMatrix3fv(int location,
                            int count,
                            boolean transpose,
                            FloatBuffer value)

  Interface to C language function:
  `void glUniformMatrix3fv(GLint location, GLsizei count, GLboolean transpose, const GLfloat * value);`

### glUniformMatrix3fv

    void glUniformMatrix3fv(int location,
                            int count,
                            boolean transpose,
                            float[] value,
                            int value_offset)

  Interface to C language function:
  `void glUniformMatrix3fv(GLint location, GLsizei count, GLboolean transpose, const GLfloat * value);`

### glUniformMatrix4fv

    void glUniformMatrix4fv(int location,
                            int count,
                            boolean transpose,
                            FloatBuffer value)

  Interface to C language function:
  `void glUniformMatrix4fv(GLint location, GLsizei count, GLboolean transpose, const GLfloat * value);`

### glUniformMatrix4fv

    void glUniformMatrix4fv(int location,
                            int count,
                            boolean transpose,
                            float[] value,
                            int value_offset)

  Interface to C language function:
  `void glUniformMatrix4fv(GLint location, GLsizei count, GLboolean transpose, const GLfloat * value);`

### glUseProgram

    void glUseProgram(int program)

  Interface to C language function:
  `void glUseProgram(GLuint program);`

### glValidateProgram

    void glValidateProgram(int program)

  Interface to C language function:
  `void glValidateProgram(GLuint program);`

### glVertexAttrib1f

    void glVertexAttrib1f(int indx,
                          float x)

  Interface to C language function:
  `void glVertexAttrib1f(GLuint indx, GLfloat x);`

### glVertexAttrib1fv

    void glVertexAttrib1fv(int indx,
                           FloatBuffer values)

  Interface to C language function:
  `void glVertexAttrib1fv(GLuint indx, const GLfloat * values);`

### glVertexAttrib1fv

    void glVertexAttrib1fv(int indx,
                           float[] values,
                           int values_offset)

  Interface to C language function:
  `void glVertexAttrib1fv(GLuint indx, const GLfloat * values);`

### glVertexAttrib2f

    void glVertexAttrib2f(int indx,
                          float x,
                          float y)

  Interface to C language function:
  `void glVertexAttrib2f(GLuint indx, GLfloat x, GLfloat y);`

### glVertexAttrib2fv

    void glVertexAttrib2fv(int indx,
                           FloatBuffer values)

  Interface to C language function:
  `void glVertexAttrib2fv(GLuint indx, const GLfloat * values);`

### glVertexAttrib2fv

    void glVertexAttrib2fv(int indx,
                           float[] values,
                           int values_offset)

  Interface to C language function:
  `void glVertexAttrib2fv(GLuint indx, const GLfloat * values);`

### glVertexAttrib3f

    void glVertexAttrib3f(int indx,
                          float x,
                          float y,
                          float z)

  Interface to C language function:
  `void glVertexAttrib3f(GLuint indx, GLfloat x, GLfloat y, GLfloat z);`

### glVertexAttrib3fv

    void glVertexAttrib3fv(int indx,
                           FloatBuffer values)

  Interface to C language function:
  `void glVertexAttrib3fv(GLuint indx, const GLfloat * values);`

### glVertexAttrib3fv

    void glVertexAttrib3fv(int indx,
                           float[] values,
                           int values_offset)

  Interface to C language function:
  `void glVertexAttrib3fv(GLuint indx, const GLfloat * values);`

### glVertexAttrib4f

    void glVertexAttrib4f(int indx,
                          float x,
                          float y,
                          float z,
                          float w)

  Interface to C language function:
  `void glVertexAttrib4f(GLuint indx, GLfloat x, GLfloat y, GLfloat z, GLfloat w);`

### glVertexAttrib4fv

    void glVertexAttrib4fv(int indx,
                           FloatBuffer values)

  Interface to C language function:
  `void glVertexAttrib4fv(GLuint indx, const GLfloat * values);`

### glVertexAttrib4fv

    void glVertexAttrib4fv(int indx,
                           float[] values,
                           int values_offset)

  Interface to C language function:
  `void glVertexAttrib4fv(GLuint indx, const GLfloat * values);`

### glVertexAttribPointer

    void glVertexAttribPointer(int indx,
                               int size,
                               int type,
                               boolean normalized,
                               int stride,
                               Buffer ptr)

  Entry point to C language function: `void glVertexAttribPointer(GLuint indx, GLint size, GLenum type, GLboolean normalized, GLsizei stride, const void * ptr);`
  Part of `GL_VERSION_2_0`

### glVertexAttribPointer

    void glVertexAttribPointer(int indx,
                               int size,
                               int type,
                               boolean normalized,
                               int stride,
                               long ptr_buffer_offset)

  Entry point to C language function: `void glVertexAttribPointer(GLuint indx, GLint size, GLenum type, GLboolean normalized, GLsizei stride, const void * ptr);`
  Part of `GL_VERSION_2_0`

### glClearDepth

    void glClearDepth(double depth)

  Specified by:
    `glClearDepth` in interface `GL`

### glDepthRange

    void glDepthRange(double zNear,
                      double zFar)

  Specified by:
    `glDepthRange` in interface `GL`

### glVertexAttribPointer

    void glVertexAttribPointer(GLArrayData array)

### glUniform

    void glUniform(GLUniformData data)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2005 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms.